Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160427 - sgml2xml Segmentation fault
Summary: sgml2xml Segmentation fault
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openjade
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ondrej Vasik
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-15 01:52 UTC by Bernd Groh
Modified: 2014-06-18 08:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-04 10:24:27 UTC


Attachments (Terms of Use)

Description Bernd Groh 2005-06-15 01:52:55 UTC
Description of problem:

If sgml2xml is called with the option -xno-expand-internal for larger projects,
it ends in a Segmentation fault.

Version-Release number of selected component (if applicable):

1.3.2-14

How reproducible:

Always

Steps to Reproduce:
1. Take a large enough SGML project, like any RHEL manual.
2. Call: sgml2xml -d<xml-dir> -xno-expand-external -xno-expand-internal <main-file>

Actual results:

Segmentation fault.

Expected results:

Included files to be placed, as xml, in <xml-dir> and main-file to be printed
out, as xml, to STDOUT.

Additional info:

Same on Fedora for the same version and release.

Comment 1 RHEL Product and Program Management 2008-02-01 19:14:01 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 2 RHEL Product and Program Management 2008-10-31 16:40:40 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 3 Ondrej Vasik 2010-03-04 10:24:27 UTC
I'm sorry that the issue was not addressed in RHEL-4. Openjade is not scheduled for an update in RHEL-4.9 and as this is not security issue and I'm not able to reproduce it with RHEL-5 sgml2xml (opensp package), I'm closing that bugzilla WONTFIX. If you are still able to reproduce it with RHEL-5 opensp sgml2xml binary, feel free to reopen this bugzilla against RHEL-5. Please attach backtrace of the segfault in that case.


Note You need to log in before you can comment on or make changes to this bug.